import requests
from dotenv import load_dotenv
import os

load_dotenv()
TOKEN = os.getenv("GITEA_TOKEN_WRITE")
headers = {"Authorization": f"token {TOKEN}"}

data = {
    "name": "repoZadanie4_rabota_s_Gitea_3laba",
    "private": False,
    "description": "Репозиторий, созданный с помощью API"
}

response = requests.post("https://git.vyatsu.ru/api/v1/user/repos", headers=headers, json=data)
print(response.json())
